searchNodes=[{"doc":"API client metadata for GoogleApi.CloudProfiler.V2.","ref":"GoogleApi.CloudProfiler.V2.html","title":"GoogleApi.CloudProfiler.V2","type":"module"},{"doc":"","ref":"GoogleApi.CloudProfiler.V2.html#discovery_revision/0","title":"GoogleApi.CloudProfiler.V2.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged Projects.","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html","title":"GoogleApi.CloudProfiler.V2.Api.Projects","type":"module"},{"doc":"CreateProfile creates a new profile resource in the online mode. The server ensures that the new profiles are created at a constant rate per deployment, so the creation request may hang for some time until the next profile session is available. The request may fail with ABORTED error if the creation is not available within ~1m, the response will indicate the duration of the backoff the client should take before attempting creating a profile again. The backoff duration is returned in google.rpc.RetryInfo extension on the response status. To a gRPC client, the extension will be return as a binary-serialized proto in the trailing metadata item named &quot;google.rpc.retryinfo-bin&quot;.Parameters connection (type: GoogleApi.CloudProfiler.V2.Connection.t) - Connection to server parent (type: String.t) - Parent project to create the profile in. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.CloudProfiler.V2.Model.Profile{}} on success {:error, info} on failure","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_create/4","title":"GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_create/4","type":"function"},{"doc":"CreateOfflineProfile creates a new profile resource in the offline mode. The client provides the profile to create along with the profile bytes, the server records it.Parameters connection (type: GoogleApi.CloudProfiler.V2.Connection.t) - Connection to server parent (type: String.t) - Parent project to create the profile in. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.CloudProfiler.V2.Model.Profile.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.CloudProfiler.V2.Model.Profile{}} on success {:error, info} on failure","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_create_offline/4","title":"GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_create_offline/4","type":"function"},{"doc":"UpdateProfile updates the profile bytes and labels on the profile resource created in the online mode. Updating the bytes for profiles created in the offline mode is currently not supported: the profile content must be provided at the time of the profile creation.Parameters connection (type: GoogleApi.CloudProfiler.V2.Connection.t) - Connection to server name (type: String.t) - Output only. Opaque, server-assigned, unique ID for this profile. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Field mask used to specify the fields to be overwritten. Currently only profile_bytes and labels fields are supported by UpdateProfile, so only those fields can be specified in the mask. When no mask is provided, all fields are overwritten. :body (type: GoogleApi.CloudProfiler.V2.Model.Profile.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.CloudProfiler.V2.Model.Profile{}} on success {:error, info} on failure","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_patch/4","title":"GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_patch/4","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.CloudProfiler.V2.","ref":"GoogleApi.CloudProfiler.V2.Connection.html","title":"GoogleApi.CloudProfiler.V2.Connection","type":"module"},{"doc":"Perform a DELETE request.See request/1 or request/2 for options definition.delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#delete/3","title":"GoogleApi.CloudProfiler.V2.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request.See request!/1 or request!/2 for options definition.delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#delete!/3","title":"GoogleApi.CloudProfiler.V2.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connectionReturns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.CloudProfiler.V2.Connection.html#execute/2","title":"GoogleApi.CloudProfiler.V2.Connection.execute/2","type":"function"},{"doc":"Perform a GET request.See request/1 or request/2 for options definition.get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#get/3","title":"GoogleApi.CloudProfiler.V2.Connection.get/3","type":"function"},{"doc":"Perform a GET request.See request!/1 or request!/2 for options definition.get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#get!/3","title":"GoogleApi.CloudProfiler.V2.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request.See request/1 or request/2 for options definition.head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#head/3","title":"GoogleApi.CloudProfiler.V2.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request.See request!/1 or request!/2 for options definition.head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#head!/3","title":"GoogleApi.CloudProfiler.V2.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connectionReturns Tesla.Env.client","ref":"GoogleApi.CloudProfiler.V2.Connection.html#new/0","title":"GoogleApi.CloudProfiler.V2.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token.Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopesReturns Tesla.Env.client","ref":"GoogleApi.CloudProfiler.V2.Connection.html#new/1","title":"GoogleApi.CloudProfiler.V2.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request.See request/1 or request/2 for options definition.options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#options/3","title":"GoogleApi.CloudProfiler.V2.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request.See request!/1 or request!/2 for options definition.options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#options!/3","title":"GoogleApi.CloudProfiler.V2.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request.See request/1 or request/2 for options definition.patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#patch/4","title":"GoogleApi.CloudProfiler.V2.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request.See request!/1 or request!/2 for options definition.patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#patch!/4","title":"GoogleApi.CloudProfiler.V2.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request.See request/1 or request/2 for options definition.post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#post/4","title":"GoogleApi.CloudProfiler.V2.Connection.post/4","type":"function"},{"doc":"Perform a POST request.See request!/1 or request!/2 for options definition.post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#post!/4","title":"GoogleApi.CloudProfiler.V2.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request.See request/1 or request/2 for options definition.put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#put/4","title":"GoogleApi.CloudProfiler.V2.Connection.put/4","type":"function"},{"doc":"Perform a PUT request.See request!/1 or request!/2 for options definition.put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#put!/4","title":"GoogleApi.CloudProfiler.V2.Connection.put!/4","type":"function"},{"doc":"Perform a request.Options:method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch]:url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl:query - a keyword list of query params, e.g. [page: 1, per_page: 100]:headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}]:body - depends on used middleware:by default it can be a binaryif using e.g. JSON encoding middleware it can be a nested mapif adapter supports it it can be a Stream with any of the above:opts - custom, per-request middleware or adapter optionsExamplesExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#request/2","title":"GoogleApi.CloudProfiler.V2.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error.This is similar to request/2 behaviour from Tesla 0.xSee request/2 for list of available options.","ref":"GoogleApi.CloudProfiler.V2.Connection.html#request!/2","title":"GoogleApi.CloudProfiler.V2.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request.See request/1 or request/2 for options definition.trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#trace/3","title":"GoogleApi.CloudProfiler.V2.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request.See request!/1 or request!/2 for options definition.trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#trace!/3","title":"GoogleApi.CloudProfiler.V2.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.CloudProfiler.V2.Connection.html#t:option/0","title":"GoogleApi.CloudProfiler.V2.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.CloudProfiler.V2.Connection.html#t:t/0","title":"GoogleApi.CloudProfiler.V2.Connection.t/0","type":"type"},{"doc":"CreateProfileRequest describes a profile resource online creation request. The deployment field must be populated. The profile_type specifies the list of profile types supported by the agent. The creation call will hang until a profile of one of these types needs to be collected.Attributes deployment (type: GoogleApi.CloudProfiler.V2.Model.Deployment.t, default: nil) - Deployment details. profileType (type: list(String.t), default: nil) - One or more profile types that the agent is capable of providing.","ref":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.html","title":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.html#decode/2","title":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.html#t:t/0","title":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.t/0","type":"type"},{"doc":"Deployment contains the deployment identification information.Attributes labels (type: map(), default: nil) - Labels identify the deployment within the user universe and same target. Validation regex for label names: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$. Value for an individual label must be &lt;= 512 bytes, the total size of all label names and values must be &lt;= 1024 bytes. Label named &quot;language&quot; can be used to record the programming language of the profiled deployment. The standard choices for the value include &quot;java&quot;, &quot;go&quot;, &quot;python&quot;, &quot;ruby&quot;, &quot;nodejs&quot;, &quot;php&quot;, &quot;dotnet&quot;. For deployments running on Google Cloud Platform, &quot;zone&quot; or &quot;region&quot; label should be present describing the deployment location. An example of a zone is &quot;us-central1-a&quot;, an example of a region is &quot;us-central1&quot; or &quot;us-central&quot;. projectId (type: String.t, default: nil) - Project ID is the ID of a cloud project. Validation regex: ^a-z{4,61}[a-z0-9]$. target (type: String.t, default: nil) - Target is the service name used to group related deployments: Service name for GAE Flex / Standard. Cluster and container name for GKE. User-specified string for direct GCE profiling (e.g. Java). Job name for Dataflow. Validation regex: ^[a-z]([-a-z0-9_.]{0,253}[a-z0-9])?$.","ref":"GoogleApi.CloudProfiler.V2.Model.Deployment.html","title":"GoogleApi.CloudProfiler.V2.Model.Deployment","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudProfiler.V2.Model.Deployment.html#decode/2","title":"GoogleApi.CloudProfiler.V2.Model.Deployment.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudProfiler.V2.Model.Deployment.html#t:t/0","title":"GoogleApi.CloudProfiler.V2.Model.Deployment.t/0","type":"type"},{"doc":"Profile resource.Attributes deployment (type: GoogleApi.CloudProfiler.V2.Model.Deployment.t, default: nil) - Deployment this profile corresponds to. duration (type: String.t, default: nil) - Duration of the profiling session. Input (for the offline mode) or output (for the online mode). The field represents requested profiling duration. It may slightly differ from the effective profiling duration, which is recorded in the profile data, in case the profiling can't be stopped immediately (e.g. in case stopping the profiling is handled asynchronously). labels (type: map(), default: nil) - Input only. Labels associated to this specific profile. These labels will get merged with the deployment labels for the final data set. See documentation on deployment labels for validation rules and limits. name (type: String.t, default: nil) - Output only. Opaque, server-assigned, unique ID for this profile. profileBytes (type: String.t, default: nil) - Input only. Profile bytes, as a gzip compressed serialized proto, the format is https://github.com/google/pprof/blob/master/proto/profile.proto. profileType (type: String.t, default: nil) - Type of profile. For offline mode, this must be specified when creating the profile. For online mode it is assigned and returned by the server.","ref":"GoogleApi.CloudProfiler.V2.Model.Profile.html","title":"GoogleApi.CloudProfiler.V2.Model.Profile","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudProfiler.V2.Model.Profile.html#decode/2","title":"GoogleApi.CloudProfiler.V2.Model.Profile.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudProfiler.V2.Model.Profile.html#t:t/0","title":"GoogleApi.CloudProfiler.V2.Model.Profile.t/0","type":"type"}]